#!/usr/bin/env python
# _*_ coding: iso-8859-1 _*_

import option

from os_type import type_os, sp
from lance_cmd import lancecmd

def init_fw():
    if type_os == 'WinXP' and sp == '2':
        # Utilisation de WipFw => dsactivation du parefeu
        lancecmd('netsh firewall set opmode mode=disable profile=ALL', hide=True)
    elif type_os == 'Vista':
        ipscribe = option.get_ip_scribe()
        inst_path = option.get_inst_path()
        # Activation et destruction des anciennes rgles Eole*
        lancecmd('netsh firewall set opmode mode=ENABLE exceptions=ENABLE profile=ALL', hide=True)
        lancecmd('netsh firewall set opmode mode=ENABLE exceptions=ENABLE', hide=True)
        lancecmd('netsh advfirewall firewall delete rule name=EoleUtilisateur', hide=True)
        lancecmd('netsh advfirewall firewall delete rule name=EoleService', hide=True)
        lancecmd('netsh advfirewall firewall delete rule name=EoleVNC', hide=True)
        # Autorisation du Partage de fichiers et d'imprimantes vers tout pour tout le monde
        lancecmd('netsh firewall set service type=FILEANDPRINT mode=ENABLE scope=ALL profile=ALL', hide=True)
        # Autorisation du programme utilisateur.exe pour INPUT et OUTPUT
        # (ATTENTION aux antislashs)
        lancecmd(r'netsh advfirewall firewall add rule dir=in action=allow name=EoleUtilisateur program=%s\cliscribe\utilisateur.exe'%inst_path, hide=True)
        lancecmd(r'netsh advfirewall firewall add rule dir=out action=allow name=EoleUtilisateur program=%s\cliscribe\utilisateur.exe'%inst_path, hide=True)
        # Autorisation du service INPUT seulement depuis Scribe
        lancecmd(r'netsh advfirewall firewall add rule dir=in action=allow name=EoleService program=%s\cliscribe\servscribe.exe remoteip=%s'%(inst_path, ipscribe), hide=True)
        # Autorisation du service OUTPUT vers tout
        lancecmd(r'netsh advfirewall firewall add rule dir=out action=allow name=EoleService program=%s\cliscribe\servscribe.exe'%inst_path, hide=True)
        # Autorisation de vncviewer et winvnc
        lancecmd(r'netsh advfirewall firewall add rule dir=in action=allow name=EoleVNC program=%s\ultravnc\vncviewer.exe'%inst_path, hide=True)
        lancecmd(r'netsh advfirewall firewall add rule dir=out action=allow name=EoleVNC program=%s\ultravnc\vncviewer.exe'%inst_path, hide=True)
        lancecmd(r'netsh advfirewall firewall add rule dir=in action=allow name=EoleVNC program=%s\ultravnc\winvnc.exe'%inst_path, hide=True)
        lancecmd(r'netsh advfirewall firewall add rule dir=out action=allow name=EoleVNC program=%s\ultravnc\winvnc.exe'%inst_path, hide=True)
        lancecmd(r'netsh advfirewall firewall add rule dir=in action=allow name=EoleVNC program=P:\gestion-postes\vncviewer.exe', hide=True)
        lancecmd(r'netsh advfirewall firewall add rule dir=out action=allow name=EoleVNC program=P:\gestion-postes\vncviewer.exe', hide=True)
        lancecmd(r'netsh advfirewall firewall add rule dir=in action=allow name=EoleVNC program=P:\gestion-postes\winvnc.exe', hide=True)
        lancecmd(r'netsh advfirewall firewall add rule dir=out action=allow name=EoleVNC program=P:\gestion-postes\winvnc.exe', hide=True)


